#include <QtGui>
#include "class.h"

CTest::CTest(QWidget *parent):QDialog(parent)
{
  QStringList	list;
  QVBoxLayout	*lay = new QVBoxLayout;

	cb = new QComboBox(this); 
	list << " " << "profile 1" << "profile 2" << "profile 3" << "profile 4" << "profile 5";
	cb->addItems(list);
	connect(cb, SIGNAL(currentIndexChanged(int)), this, SLOT(slotComboChange(int)));

	btn = new QPushButton(this);
	btn->setText(tr("Тык"));
	
	lay->addWidget(cb);
	lay->addWidget(btn);
	
	this->setLayout(lay); 


	qDebug() << "QComboBox is visible? " << cb->isVisible();

}

void CTest::slotComboChange(int idx)
{
qDebug() << "Curent index=" << idx;
	
	// посылаем самодельный сигнал,
	// передавая в качестве параметра текущий индекс выпадающего списка
	emit sigChange(idx);

}




